summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author B. Watson2022-04-22 17:34:13 +0200
committer B. Watson2022-04-22 17:34:13 +0200
commit21a6d685421979ed03db386f5dd49539ab0457db (patch)
tree00d4adeb0d0b95cfeb9e386783116797ba7949be /libraries
parent19ea2daec66508dc5f6c0e647d2cf6a6b43787a7 (diff)
downloadslackbuilds-21a6d685421979ed03db386f5dd49539ab0457db.tar.gz
libraries/CCfits: Fix docs.
Signed-off-by: B. Watson <yalhcru@gmail.com>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/CCfits/CCfits.SlackBuild21
1 files changed, 11 insertions, 10 deletions
diff --git a/libraries/CCfits/CCfits.SlackBuild b/libraries/CCfits/CCfits.SlackBuild
index 94576f62e9..6d67f53b89 100644
--- a/libraries/CCfits/CCfits.SlackBuild
+++ b/libraries/CCfits/CCfits.SlackBuild
@@ -22,11 +22,14 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# 20220422 bkw: Modified by SlackBuilds.org, BUILD=3:
+# - do not install executable perl scripts in doc dir.
+
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=CCfits
VERSION=${VERSION:-2.5}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -38,9 +41,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -75,9 +75,9 @@ cd $PRGNAM
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -91,14 +91,15 @@ LIBS="-lbz2" \
--build=$ARCH-slackware-linux
make
-make install DESTDIR=$PKG
+make install-strip DESTDIR=$PKG
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+#find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ #| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+rm -f html/*.pl # 20220422 bkw: only useful to upstream.
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
- CHANGES License.txt README.INSTALL html/ \
+ CHANGES License.txt html/ \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild